# Generated from quietly-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name quietly

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Makes IO redirection simple and easy
License: MIT
URL: http://rubygems.org/gems/quietly
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Quietly aims to make dealing with IO redirection easy. It originally started
as a simple function to silence output to stdout within a certain block,
cleaning up and abstracting away the process of dealing with the IO pointers.
Eventually, it expanded into a simple but effective tool for dealing with any
instance where you need to redirect, split, or silence output.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.3-1
- Initial package
